version: "3.1"
services:
  app_imoveis:
    container_name: app_imoveis # Nome do meu container
    build:
      context: . # onde local está meu dockerfile
      dockerfile: Dockerfile #nome do meu arquivo dockerfile
    restart: always
    ports:
      - 8080:80
    volumes:
      - ./imoveis/public:/var/www/html  #copiando as pastas
      - ./imoveis/:/var/www/ #copiando as pastas
    environment:
      - APP_NAME=laravel
      - APP_ENV=local
      - APP_KEY=base64:ySoHqW6OyuPcTWLWr+BBfqK5Rx4FYO5tFkV7FF/+yjM=
      - APP_DEBUG=true
      - DB_CONNECTION=mysql 
      - DB_HOST=mysql_imoveis #vai com mesmo nome do serviço
      - DB_PORT=3306
      - DB_DATABASE=imoveis
      - DB_USERNAME=root
      - DB_PASSWORD=imoveis
    networks:
      - imoveis_network
    
  mysql_imoveis:
    container_name: mysql_imoveis
    image: mysql:5.7
    ports:
      - 3306:3306
    environment:
      - MYSQL_ROOT_PASSWORD=imoveis
    volumes:
      - ./mysql_data:/var/lib/mysql
    restart: always
    networks:
      - imoveis_network

  phpmyadmin_imoveis:
    container_name: phpmyadmin_imoveis
    image: phpmyadmin/phpmyadmin:latest
    environment:
      - PMA_HOST=mysql_imoveis
      - PMA_USER=root
      - PMA_PASSWORD=imoveis
    restart: always
    ports:
      - 8091:80
    networks:
     - imoveis_network

networks:
  imoveis_network: